## com.imcode.imcms.mapping
Interface DocumentGetter

All Known Implementing Classes:
  BatchDocumentGetter, CachingDocumentGetter, DatabaseDocumentGetter, DocumentGetterWrapper, DocumentMapper, FragmentingDocumentGetter

    public interface DocumentGetter

Method Summary
`DocumentDomainObject` `getDocument(java.lang.Integer documentId)` Returns published version of a document.
`DocumentDomainObject` `getDocument(java.lang.Integer documentId, java.lang.Integer version)` Returns custom document.
`java.util.List<DocumentDomainObject>` `getDocuments(java.util.Collection<java.lang.Integer> documentIds)` Return a list of published documents in the same order as the documentIds
`DocumentDomainObject` `getWorkingDocument(java.lang.Integer documentId)` Returns working version of a document.

Method Detail

### getDocuments

    java.util.List<DocumentDomainObject> getDocuments(java.util.Collection<java.lang.Integer> documentIds)

  Return a list of published documents in the same order as the documentIds

### getDocument

    DocumentDomainObject getDocument(java.lang.Integer documentId)

  Returns published version of a document.

  Parameters:
    `metaId` - document's meta id.

### getWorkingDocument

    DocumentDomainObject getWorkingDocument(java.lang.Integer documentId)

  Returns working version of a document.

  Parameters:
    `documentId` - document's id.

### getDocument

    DocumentDomainObject getDocument(java.lang.Integer documentId,
                                     java.lang.Integer version)

  Returns custom document.

  Parameters:
    `documentId` - document's id.